<?php

// 根据圈子名称检索圈子
require_once ("../user_include.inc");

ErrorLogger::doOutput("Compass...ajax_get_search_circle_list.php....Start.", 0);

//获取参数
$unionId = ParamUtil::getRequestString("unionId");
$keywords = ParamUtil::getRequestString("keywords");//关键词

$result = array();

//参数检查
if(empty($unionId) || empty($keywords)) {
	$result["message"] = "参数错误！";
	responseNG($result);
}

//判断用户是否存在
$param = array();
$param['unionid'] = $unionId;
$param['delete_flg'] = false;
$userList = UserMst::getList($param,'id','desc', 0, 1);
if(empty($userList)) {
	$result["message"] = "用户不存在！";
	responseNG($result);
}

$userMst = $userList[0];

//根据关键词 查询圈子
$circleList = array();

//查询圈子列表
$param = array();
$param['title_ALT'] = "%" . $keywords . "%";
$param['delete_flg'] = false;
$circleList = CircleDat::getList($param,'id','desc');

//组装返回数据
$result["circleList"] = $circleList;

ErrorLogger::doOutput("Compass...ajax_get_search_circle_list.php....End.", 0);

//返回结果
responseOK($result);

function responseNG($result) {
	$result = array("status"=>"NG", "result"=>$result);
	print json_encode($result);
	exit;
}
function responseOK($result) {
	$result = array("status"=>"OK", "result"=>$result);
	print json_encode($result);
	exit;
}
?>